Bug 1255788 - FTBFS with qbittorrent on ppc64le "Could not find a version of the library!"
FTBFS with qbittorrent on ppc64le "Could not find a version of the library!"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qbittorrent (Show other bugs)
23
ppc64le Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabio Alessandro Locati
Fedora Extras Quality Assurance
:
Depends On:
Blocks: epel7ppc64le
  Show dependency treegraph
 
Reported: 2015-08-21 10:38 EDT by Menanteau Guy
Modified: 2015-12-31 18:28 EST (History)
3 users (show)

See Also:
Fixed In Version: qbittorrent-3.3.1-2.fc23 qbittorrent-3.3.1-2.fc22 qbittorrent-3.3.1-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-19 13:27:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for ppc64le boost library path (771 bytes, patch)
2015-08-21 10:38 EDT, Menanteau Guy
no flags Details | Diff

  None (edit)
Description Menanteau Guy 2015-08-21 10:38:55 EDT
Created attachment 1065621 [details]
patch for ppc64le boost library path

qbittorrent failed to build on ppc64le with following error:

checking whether the Boost::System library is available... yes
configure: error: Could not find a version of the library!

http://ppc.koji.fedoraproject.org/koji/packageinfo?packageID=7164
http://ppc.koji.fedoraproject.org/kojifiles/work/tasks/7729/2707729/build.log

This is due to a path boost library problem.
Build is ok with attached patch. please consider it.
Comment 1 Fedora Update System 2015-12-07 06:30:16 EST
qbittorrent-3.2.4-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2b8947bac6
Comment 2 Fedora Update System 2015-12-07 06:30:27 EST
qbittorrent-3.2.4-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-60051665d4
Comment 3 Fedora Update System 2015-12-07 18:21:46 EST
qbittorrent-3.2.4-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update qbittorrent'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-37636003bd
Comment 4 Fedora Update System 2015-12-07 23:31:39 EST
qbittorrent-3.2.4-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update qbittorrent'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2b8947bac6
Comment 5 Fedora Update System 2015-12-08 02:21:17 EST
qbittorrent-3.2.4-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update qbittorrent'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-60051665d4
Comment 6 Fedora Update System 2015-12-10 09:08:22 EST
qbittorrent-3.3.1-2.fc22 rb_libtorrent-1.0.7-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-cd2f2dff6c
Comment 7 Fedora Update System 2015-12-10 10:21:46 EST
qbittorrent-3.3.1-2.el7 rb_libtorrent-1.0.7-2.el7 qtsingleapplication-2.6.1-25.el7 qtlockedfile-2.4-19.20150629git5a07df5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-bda03b0dd9
Comment 8 Fedora Update System 2015-12-11 01:01:20 EST
qbittorrent-3.3.1-2.fc23, rb_libtorrent-1.0.7-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update qbittorrent rb_libtorrent'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-92fcafd752
Comment 9 Fedora Update System 2015-12-11 14:57:43 EST
qbittorrent-3.3.1-2.fc22, rb_libtorrent-1.0.7-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update qbittorrent rb_libtorrent'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-cd2f2dff6c
Comment 10 Fedora Update System 2015-12-12 15:23:23 EST
qbittorrent-3.3.1-2.el7, qtlockedfile-2.4-19.20150629git5a07df5.el7, qtsingleapplication-2.6.1-25.el7, rb_libtorrent-1.0.7-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update qbittorrent qtsingleapplication qtlockedfile rb_libtorrent'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-bda03b0dd9
Comment 11 Fedora Update System 2015-12-19 13:26:48 EST
qbittorrent-3.3.1-2.fc23, rb_libtorrent-1.0.7-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-12-20 02:52:28 EST
qbittorrent-3.3.1-2.fc22, rb_libtorrent-1.0.7-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-12-31 18:28:41 EST
qbittorrent-3.3.1-2.el7, qtlockedfile-2.4-19.20150629git5a07df5.el7, qtsingleapplication-2.6.1-25.el7, rb_libtorrent-1.0.7-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.